<?php
	/*
	Plugin Name: Dashboard & Menu Cleaner
	Plugin URI: http://www.fedmich.com/tools/dashboard-menus-cleaner
	Description: This plugin will automatically clean up your WordPress Dashboard and menus.
	Author: Fedmich
	Author URI: http://www.fedmich.com/tools/dashboard-menus-cleaner
	Version: 0.5
	*/
	define("DSHBMENU_VERSION", "0.5");
	
	
	function dshbmenu_clean_wpmenu() {
		
		remove_meta_box('dashboard_plugins', 'dashboard', 'core');
		remove_meta_box('dashboard_primary', 'dashboard', 'core');
		remove_meta_box('dashboard_secondary', 'dashboard', 'core');
		
		if(get_settings('dshb_custom_bg')?0:1){
			remove_submenu_page('themes.php','custom-background');
		}
		if(get_settings('dshb_custom_hdr')?0:1){
			remove_submenu_page('themes.php','custom-header');
		}
		if(get_settings('dshb_theme_editor')?0:1){
			remove_submenu_page( 'themes.php', 'theme-editor.php' );
		}
		if(get_settings('dshb_plugin_editor')?0:1){
			remove_submenu_page( 'plugins.php', 'plugin-editor.php' );
		}
		
		if(get_settings('dshb_akismet_stats')?0:1){
			remove_submenu_page('index.php','akismet-stats-display');
		}
		
	}
	function dshbmenu_clean_dashboard_menu() {
		if(get_settings('dshb_w3tc')?0:1){
			remove_meta_box('w3tc_latest', 'dashboard', 'side' );
			remove_meta_box('w3tc_pagespeed', 'dashboard','side');
		}
	}
	
	if( is_admin()){
		add_action('admin_menu', 'dshbmenu_clean_wpmenu',102);
		add_action('wp_dashboard_setup', 'dshbmenu_clean_dashboard_menu' );
		
		$chkd= get_settings('dshb_quickfinder')?0:1;
		if($chkd){
			wp_enqueue_script( 'dshbmenu-quickfinder' ,
			plugins_url('/dshbmenu-quickfinder.js', __FILE__)
			,array('jquery')
			);
		}
		include dirname(__FILE__)."/dshbmenu-options.php";
		
	}
	
?>